Get charge detail

Detailed charge view with cost line items breakdown.

Authentication

AuthorizationBearer

Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.

Path parameters

chargeIdstringRequiredformat: "uuid"
Charge ID

Response

Charge detail with line items
chargeTypeenum
Type of charge
chargeTypeDisplaystring

Human-readable charge type label

createdAtdatetime
When the charge was created
descriptionstring

Human-readable charge description

iconstring
Icon hint for rendering this charge type.
idstringformat: "uuid"
Unique charge identifier
lineItemslist of objects
Granular cost breakdown line items
refundedMicrocentslong
Amount refunded in microcents
statusenum
Current charge status
statusDisplaystring

Human-readable status label

subtotalMicrocentslong
Subtotal before tax in microcents
taxMicrocentslong
Tax amount in microcents
totalMicrocentslong
Total charge amount in microcents
totalUsddouble
Total charge amount in USD
contactNamestring or nullOptional
Contact name associated with this charge
failureCodestring or nullOptional
Stripe failure code if charge failed
failureReasonstring or nullOptional

Human-readable failure reason

flowNamestring or nullOptional
Flow name associated with this charge
phoneNumberstring or nullOptional
Phone number associated with this charge
referenceIdstring or nullOptionalformat: "uuid"
ID of the referenced entity
referenceTypestring or nullOptional

Type of referenced entity (call, phone, etc.)

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error